summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: bd1fc62)
raw | patch | inline | side by side (parent: bd1fc62)
author | Junio C Hamano <junkio@cox.net> | |
Sun, 25 Feb 2007 21:13:17 +0000 (13:13 -0800) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Fri, 9 Mar 2007 08:09:25 +0000 (00:09 -0800) |
Pass it to underlying fetch-pack, and also have it affect if -v
is passed to http-fetch and rsync.
Signed-off-by: Junio C Hamano <junkio@cox.net>
is passed to http-fetch and rsync.
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-fetch.sh | patch | blob | history |
diff --git a/git-fetch.sh b/git-fetch.sh
index 5ae0d28cc09a0b3935262a542c9811b66eb5b85e..3aa117e321a83c7bda912530cb847ee7a73ced02 100755 (executable)
--- a/git-fetch.sh
+++ b/git-fetch.sh
shallow_depth=
no_progress=
test -t 1 || no_progress=--no-progress
+quiet=
while case "$#" in 0) break ;; esac
do
case "$1" in
--update-head-o|--update-head-ok)
update_head_ok=t
;;
+ -q|--q|--qu|--qui|--quie|--quiet)
+ quiet=--quiet
+ ;;
-v|--verbose)
verbose=Yes
;;
expr "z$head" : "z$_x40\$" >/dev/null ||
die "No such ref $remote_name at $remote"
echo >&2 "Fetching $remote_name from $remote using $proto"
- git-http-fetch -v -a "$head" "$remote/" || exit
+ case "$quiet" in '') v=-v ;; *) v= ;; esac
+ git-http-fetch $v -a "$head" "$remote/" || exit
;;
rsync://*)
test -n "$shallow_depth" &&
rsync -L -q "$remote/$remote_name" "$TMP_HEAD" || exit 1
head=$(git-rev-parse --verify TMP_HEAD)
rm -f "$TMP_HEAD"
+ case "$quiet" in '') v=-v ;; *) v= ;; esac
test "$rsync_slurped_objects" || {
- rsync -av --ignore-existing --exclude info \
+ rsync -a $v --ignore-existing --exclude info \
"$remote/objects/" "$GIT_OBJECT_DIRECTORY/" || exit
# Look at objects/info/alternates for rsync -- http will
git-bundle unbundle "$remote" $rref ||
echo failed "$remote"
else
- git-fetch-pack --thin $exec $keep $shallow_depth $no_progress \
- "$remote" $rref ||
+ git-fetch-pack --thin $exec $keep $shallow_depth \
+ $quiet $no_progress "$remote" $rref ||
echo failed "$remote"
fi
) |